aboutsummaryrefslogtreecommitdiff
path: root/test/git/install_git_from_src_bullseye.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/git/install_git_from_src_bullseye.sh')
-rw-r--r--test/git/install_git_from_src_bullseye.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/git/install_git_from_src_bullseye.sh b/test/git/install_git_from_src_bullseye.sh
new file mode 100644
index 0000000..4bdcf30
--- /dev/null
+++ b/test/git/install_git_from_src_bullseye.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" git --version
+check "gettext" dpkg-query -l gettext
+
+cd /tmp && git clone https://github.com/devcontainers/feature-starter.git
+cd feature-starter
+check "perl" bash -c "git -c grep.patternType=perl grep -q 'a.+b'"
+
+# Report result
+reportResults